#
# spec file for package yum-metadata-parser (Version 1.1.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           yum-metadata-parser
BuildRequires:  glib2-devel libxml2-devel pkgconfig python-devel sqlite-devel
Summary:        A fast metadata parser for yum
Version:        1.1.2
Release:        3.1
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-1.0-quiet.patch
License:        GPL v2 or later
Group:          Development/Libraries/Python
URL:            http://devel.linux.duke.edu/cgi-bin/viewcvs.cgi/yum-metadata-parser/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
%py_requires
%if %{suse_version} <= 1010
Requires:       python-sqlite
%endif
%else
Requires:       python-sqlite
%endif

%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?py_sitedir: %define py_sitedir %{python_sitelib}}

%description
Fast metadata parser for yum implemented in C.



Authors:
--------
    Tambet Ingo  <tambet@ximian.com>

%prep
%setup -q
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install -O1 --prefix="%{_prefix}" --root="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{py_sitedir}/*

%changelog
* Mon Jun  9 2008 martin.mohring@5etech.eu
- made specfile for a multiplatform package for the OBS
* Wed Aug 29 2007 cthiel@suse.de
- update to version 1.1.2
  * add some indexes to speed up a number of lookups in yum
* Mon May 21 2007 cthiel@suse.de
- update to version 1.1.1
  * Expose DBVERSION
* Thu May  3 2007 cthiel@suse.de
- update to version 1.1.0
  * setup.py, yum-metadata-parser.spec: bump version to 1.1.0 b/c of the
    dbversion change
  * db.c, db.h, package.h, xml-parser.c: Bump database version to 10 build_*
    and time_* values are stored as ints, rather than text, and
    checksum_value has been dropped, as this is the same value as pkgId.
  * xml-parser.c: Reduce some code duplication in xml-parser
* Fri Apr  6 2007 cthiel@suse.de
- update to version 1.0.4
  * db.c: Create a pkgKey index for provides, requires, conflicts, and
    obsoletes
  * db.c, db.h, package.h, sqlitecache.c, xml-parser.c: include Prereqs
* Fri Feb 16 2007 cthiel@suse.de
- Requires: python-sqlite
* Fri Feb 16 2007 cthiel@suse.de
- remove Requires: yum
* Mon Jan  8 2007 cthiel@suse.de
- update to version 1.0.3
  * sqlitecache.c: Never use the default glib log handler.  This way, when
  - d0 is passed, we won't output to the glib log handler (since nothing
    should be displayed at all).
  * sqlitecachec.py: support newer pysqlite as included in python 2.5
  * sqlitecache.c: Use structs and function pointers to reduce code
    duplication.
  * sqlitecache.c, sqlitecachec.py: Display repoid while populating the
    cache.
* Sat Aug  5 2006 cthiel@suse.de
- added yum-metadata-parser-1.0-quiet.patch from Fedora
* Sat Aug  5 2006 cthiel@suse.de
- initial package (version 1.0.2)
